=== launcher/dist/linux/Makefile ===
version = $(strip $(shell cat ../../VERSION))

all:
	./build.py $(version)

clean:
	rm -Rf *-linux-* *-steamos-*
