=== debian/changelog ===
fs-uae (2.6.2+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild against libglew1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2015 17:46:34 +0000

fs-uae (2.6.2+dfsg-3) unstable; urgency=medium

  * Add missing #DEBHELPER# token to debian/fs-uae-netplay-server.postrm
    to ensure dh_installinit is called upon exit to clean up the rc.d
    links installed for fs-uae-netplay-server (Closes: 803447).
  * Always run debian/fs-uae-netplay-server.postrm with "set -e" so
    that the script aborts upon any errors during execution.
  * Add missing zero exit code at the end of
    debian/fs-uae-netplay-server.postrm.
  * Drop debian/menu file in compliance with CTTE decision (see #741573).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 30 Oct 2015 12:42:51 +0100

fs-uae (2.6.2+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-exclude-internal-libmpeg2-from-build.patch
    which prevents the internal version of libmpeg2 from being built at
    any time, even when fs-uae is not actually linked against the internal
    version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 15:04:20 +0100

fs-uae (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0001-use-debian-libmpeg2-library.patch,
    upstream now always use the libmpeg2 library provided by
    the distribution.
  * Don't call 'dh' command with 'python2' in debian/rules to
    avoid Python issues when backporting fs-uae to Jessie.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 10:41:31 +0100

fs-uae (2.6.1+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-use-debian-libmpeg2-library.patch to
    make sure to always use Debian's own libmpeg2 library during build.
  * Add debian/fs-uae-netplay-server.lintian-overrides which overrides a
    lintian error regarding calling 'adduser' in the preinst script of
    fs-uae-netplayer-server as the homedir is actually created using 'usermod'.
  * Add debian/fs-uae-netplay-server.postrm to remove unowned directories
    after purging fs-uae-netplay-server. (Closes: #769774)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 16 Oct 2015 22:54:04 +0200

fs-uae (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libfreetype6-dev to Build-Depends in debian/control. (Closes: #748636)
  * Add dh-autoreconf to Build-Depends in debian/control and run debhelper with
    "--with autoreconf" to update config.{sub,guess} and {libtool,aclocal}.m4.
  * Drop debian/patches/0003-remove-custom-mprotect-function.patch which was
    previously cherry-picked from the upstream development branch.
  * Drop debian/patches/0002-dont-copy-upstream-copying-file.patch. Any
    redundant files will be removed through maintainer scripts instead.
  * Drop debian/patches/0001-use-external-libglee.patch which is no longer
    necessary to disable the in-tree copy of glee. External versions of glee
    are now detected by the configure script and used automatically.
  * Add libglew-dev to Build-Depends in debian/control.
  * Switch from libsdl1.2-dev to libsdl2-dev in Build-Depends in debian/control.
  * Add zip to Build-Depends in debian/control.
  * Add libmpeg2-4-dev to Build-Depends in debian/control.
  * Add python3-all and python3-setuptools to Build-Depends in debian/control
    as fs-uae-arcade and -launcher are now Python3.
  * Add dh-python to Build-Depends in debian/control.
  * Update Depends for fs-uae-arcade and fs-uae-launcher for Python3
    and Qt5 in debian/control.
  * Run dh sequencer explicitly with "--with python2,python3" and use
    the python3 interpreter to run the setup.py scripts to enable Python3
    support for fs-uae-arcade and fs-uae-launcher.
  * Update Standards-Version to 3.9.6 in debian/control.
  * Clean up debian/control using wrap-and-sort.
  * Update copyright years and wildcards, remove unused license
    paragraphs and fix license name for "public-domain" paragraph
    in debian/copyright.
  * Remove unused debian/fs-uae-launcher.lintian-overrides.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 15 Oct 2015 19:07:53 +0200
