=== debian/control ===
Source: fs-uae
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gettext,
               glee-dev,
               libfreetype6-dev,
               libglew-dev,
               libglib2.0-dev,
               libmpeg2-4-dev,
               libopenal-dev,
               libsdl2-dev,
               libxi-dev,
               python (>= 2.6),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools,
               zip
Standards-Version: 3.9.6
Homepage: http://fs-uae.net
Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
Vcs-Browser: https://github.com/glaubitz/fs-uae-debian

Package: fs-uae
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform Amiga emulator based on UAE/WinUAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.

Package: fs-uae-launcher
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Description: Launcher and configuration program for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the launcher, a graphical user interface for
 setting up FS-UAE.

Package: fs-uae-netplay-server
Architecture: all
Depends: adduser (>= 3.11), python (>= 2.6), ${misc:Depends}
Description: Netplay server for FS-UAE online play
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the FS-UAE netplay game server, and a service
 to start game servers on demand.

Package: fs-uae-arcade
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fs-uae-launcher, python-lhafile
Description: Fullscreen game browser for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains FS-UAE Arcade, a fullscreen game browser
 for couch potatoes.
