## fs-uae 2.8.0%2Bdfsg

=== debian/changelog ===
fs-uae (2.8.0+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 10 Jan 2017 20:43:10 +0100

fs-uae (2.8.0+dfsg-2) unstable; urgency=medium

  * Override dh_auto_configure in debian/rules to
    enable JIT on supported architectures only.
  * Add debian/patches/0001-define-unknown-CPUs-as-
    CPU_unknown.patch which will define unknown host
    CPUs as CPU_unknown instead of failing the build.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 12 Oct 2016 15:19:43 +0200

fs-uae (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0002-fix-sign-declarations.h, fixed upstream.
  * Drop debian/patches/0001-exclude-internal-libmpeg2-from-build.patch,
    upstream now disables their embedded version of libmpeg2 by default.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 12 Oct 2016 11:25:35 +0200

fs-uae (2.6.2+dfsg-4) unstable; urgency=medium

  * Add debian/patches/0002-fix-sign-declarations.h which fixes the
    sign declarations of multiple integer types. (Closes: #811779).
  * Update years in debian/copyright.
  * Update standards version to 3.9.8 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 16 May 2016 13:29:30 +0200
