=== debian/changelog ===
fs-uae (2.8.0+dfsg-2~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.
  * Add libpng12-dev to Build-Depends in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 11 Jan 2017 15:40:18 +0100
