=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fs-uae
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
@@ -13,6 +12,7 @@
                libglib2.0-dev,
                libmpeg2-4-dev,
                libopenal-dev,
+	       libpng12-dev,
                libsdl2-dev,
                libxi-dev,
                python (>= 2.6),
@@ -20,7 +20,7 @@
                python3-all (>= 3.2),
                python3-setuptools,
                zip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://fs-uae.net
 Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
 Vcs-Browser: https://github.com/glaubitz/fs-uae-debian
