## fs-uae 2.8.3+dfsg

=== debian/changelog ===
fs-uae (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 08 Apr 2017 12:02:39 +0200
