## fs-uae 2.8.4+dfsg

=== arcade/Makefile ===
--- 
+++ 
@@ -46,6 +46,12 @@
 	fsui_dir := "../fs-uae-launcher"
 else
 	fsui_dir := "."
+endif
+
+ifeq ($(wildcard launcher),)
+	launcher_dir := "../fs-uae-launcher"
+else
+	launcher_dir := "."
 endif
 
 ifeq ($(wildcard oyoyo),)
@@ -107,6 +113,7 @@
 	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
 	cp -a $(fstd_dir)/fstd $(dist_dir)/
 	cp -a $(fsui_dir)/fsui $(dist_dir)/
+	cp -a $(launcher_dir)/launcher $(dist_dir)/
 	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
 	cp -a $(six_dir)/six $(dist_dir)/
 	cp -a share $(dist_dir)/
@@ -164,7 +171,7 @@
 
 macosx-dist: distdir
 	cd $(dist_dir)/dist/macosx && make
-	mv $(dist_dir)/fs-uae-arcade_*macosx* .
+	mv $(dist_dir)/fs-uae-arcade_*macos* .
 	rm -Rf $(dist_dir)
 
 clean-dist:
