=== launcher/Makefile ===
--- 
+++ 
@@ -229,7 +229,7 @@
 
 macosx-dist: distdir
 	cd $(dist_dir)/dist/macosx && make
-	mv $(dist_dir)/fs-uae-launcher_*macosx* .
+	mv $(dist_dir)/fs-uae-launcher_*macos* .
 	rm -Rf $(dist_dir)
 
 clean-dist:
