=== debian/changelog ===
fs-uae (2.8.4+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:34:55 +0800

fs-uae (2.8.4+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0002-rename-async-for-python3.7.patch
    to account for the renaming of the "async" module in
    pyopengl to "_async". (Closes: #914790)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 02 Dec 2018 19:10:14 +0100

fs-uae (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #880944)
  * Remove glee-dev from Build-Depends in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 02 Dec 2017 19:14:24 +0100
